> ## Documentation Index
> Fetch the complete documentation index at: https://cubed3-feat-druid-driver-streaming.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get deployments



## OpenAPI

````yaml /api-reference/api.yaml get /v1/deployments
openapi: 3.1.0
info:
  title: Cube Cloud REST API
  version: 1.0.0
  description: >-
    Programmatically manage Cube Cloud: deployments and everything scoped to
    them

    (environments, folders, reports, workbooks, notifications, workspace, and
    agents),

    plus account-level users, groups, policies, embedding, and AI settings.
servers:
  - url: https://{tenant}.cubecloud.dev/api
    description: >-
      Cube Cloud API base URL. Replace the whole host if you use a custom
      domain.
    variables:
      tenant:
        default: your-tenant
        description: Your Cube Cloud tenant subdomain
security:
  - bearerAuth: []
tags:
  - name: Deployments
  - name: Environments
  - name: Folders
  - name: Reports
  - name: Workbooks
  - name: Notifications
  - name: Workspace
  - name: App Theme
  - name: Embed
  - name: Embed Tenants
paths:
  /v1/deployments:
    get:
      tags:
        - Deployments
      summary: Get deployments
      operationId: getDeployments
      parameters:
        - in: query
          name: creationStep
          required: false
          schema:
            oneOf:
              - $ref: '#/components/schemas/CreationStep'
                items:
                  enum:
                    - project
                    - upload
                    - schema
                    - github
                    - ssh
                    - databases
                    - ready
                    - demo
                  type: string
                type: array
              - type: array
                items:
                  $ref: '#/components/schemas/CreationStep'
        - in: query
          name: offset
          required: false
          schema:
            oneOf:
              - minimum: 0
                type: integer
              - type: 'null'
            type: integer
            minimum: 0
        - in: query
          name: limit
          required: false
          schema:
            oneOf:
              - minimum: 0
                type: integer
              - type: 'null'
            type: integer
            minimum: 0
        - in: query
          name: first
          required: false
          schema:
            minimum: 1
            type: integer
          description: Page size for cursor-based pagination
        - in: query
          name: after
          required: false
          schema:
            minimum: 1
            type: string
          description: Cursor for fetching the next page
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeploymentsListResponse'
          description: ''
components:
  schemas:
    CreationStep:
      enum:
        - project
        - upload
        - schema
        - github
        - ssh
        - databases
        - ready
        - demo
      type: string
    DeploymentsListResponse:
      properties:
        count:
          oneOf:
            - minimum: 0
              type: integer
            - type: 'null'
        data:
          items:
            $ref: '#/components/schemas/Deployment'
          type: array
        items:
          items:
            $ref: '#/components/schemas/Deployment'
          type: array
        pageInfo:
          oneOf:
            - $ref: '#/components/schemas/PageInfo'
            - type: 'null'
        pagination:
          $ref: '#/components/schemas/DeploymentsPagination'
        totalCount:
          oneOf:
            - minimum: 0
              type: integer
            - type: 'null'
      required:
        - data
        - items
        - pagination
      type: object
    Deployment:
      properties:
        creationStep:
          $ref: '#/components/schemas/CreationStep'
        deploymentUrl:
          type: string
        id:
          type: integer
        name:
          type: string
      required:
        - id
        - name
        - deploymentUrl
        - creationStep
      type: object
    PageInfo:
      properties:
        endCursor:
          oneOf:
            - type: string
            - type: 'null'
        hasNextPage:
          type: boolean
        hasPreviousPage:
          type: boolean
        startCursor:
          oneOf:
            - type: string
            - type: 'null'
      required:
        - hasNextPage
        - hasPreviousPage
      type: object
    DeploymentsPagination:
      properties:
        limit:
          minimum: 0
          type: integer
        offset:
          minimum: 0
          type: integer
        total:
          minimum: 0
          type: integer
      required:
        - total
        - offset
        - limit
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'Token authentication. Send `Authorization: Bearer <YOUR_TOKEN>`.'

````